<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: gyroscope.MEMS3AxisGyroscope Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gyroscope.MEMS3AxisGyroscope Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for gyroscope.MEMS3AxisGyroscope:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.png" usemap="#gyroscope.MEMS3AxisGyroscope_map" alt=""/>
  <map id="gyroscope.MEMS3AxisGyroscope_map" name="gyroscope.MEMS3AxisGyroscope_map">
<area href="class_sensor_1_1_sensor.html" alt="Sensor.Sensor" shape="rect" coords="0,56,207,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7971158b3234878bc765f72deac25e9d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a7971158b3234878bc765f72deac25e9d">__init__</a> (self, str <a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a>, str <a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a>, int <a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a>, bool <a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a>, <a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a>, np.ndarray <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a8e6acb187b30851252b9e9139dcc75bf">sensor_range</a>, float <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#aabff8bb975d327813bbbc3937227acb1">sensitivity</a>, float <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a053964caedc4c9bca7566bec9588d84d">sampling_rate</a>, float <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a125dea690d02208b9d0689b197fa2b56">angular_random_walk</a>, float <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a481150fc272571b631f30b2f48410f88">bias_instability</a>, bool <a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a>=True)</td></tr>
<tr class="separator:a7971158b3234878bc765f72deac25e9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9243e6bbb29fc3b2e99ef22a6f661b0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#af9243e6bbb29fc3b2e99ef22a6f661b0">output</a> (self, simulated_time)</td></tr>
<tr class="separator:af9243e6bbb29fc3b2e99ef22a6f661b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a363dd812d4fe2b1dd3cfe4a3189a3657"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a363dd812d4fe2b1dd3cfe4a3189a3657">run</a> (self)</td></tr>
<tr class="separator:a363dd812d4fe2b1dd3cfe4a3189a3657"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">check_parameter_update</a> (self)</td></tr>
<tr class="separator:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a8e6acb187b30851252b9e9139dcc75bf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a8e6acb187b30851252b9e9139dcc75bf">sensor_range</a></td></tr>
<tr class="separator:a8e6acb187b30851252b9e9139dcc75bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabff8bb975d327813bbbc3937227acb1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#aabff8bb975d327813bbbc3937227acb1">sensitivity</a></td></tr>
<tr class="separator:aabff8bb975d327813bbbc3937227acb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a053964caedc4c9bca7566bec9588d84d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a053964caedc4c9bca7566bec9588d84d">sampling_rate</a></td></tr>
<tr class="separator:a053964caedc4c9bca7566bec9588d84d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a125dea690d02208b9d0689b197fa2b56"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a125dea690d02208b9d0689b197fa2b56">angular_random_walk</a></td></tr>
<tr class="separator:a125dea690d02208b9d0689b197fa2b56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a481150fc272571b631f30b2f48410f88"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#a481150fc272571b631f30b2f48410f88">bias_instability</a></td></tr>
<tr class="separator:a481150fc272571b631f30b2f48410f88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd8bbe8d28cad188f0f96e97a2376c1c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#acd8bbe8d28cad188f0f96e97a2376c1c">column_names</a></td></tr>
<tr class="separator:acd8bbe8d28cad188f0f96e97a2376c1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a></td></tr>
<tr class="separator:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a></td></tr>
<tr class="separator:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a></td></tr>
<tr class="separator:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a></td></tr>
<tr class="separator:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a></td></tr>
<tr class="separator:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a></td></tr>
<tr class="separator:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a></td></tr>
<tr class="separator:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a7709b892a731f2d22d89c7bb8d7bcedf">parameter_count</a></td></tr>
<tr class="separator:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a></td></tr>
<tr class="separator:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7971158b3234878bc765f72deac25e9d" name="a7971158b3234878bc765f72deac25e9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7971158b3234878bc765f72deac25e9d">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gyroscope.MEMS3AxisGyroscope.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>digital</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>outputs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>sensor_range</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sensitivity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>angular_random_walk</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>bias_instability</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>active</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Simulation of a 3-axis MEMS-Gyroscope

The error model is based on a random noise, that is added to the real angular velocity
:param name: (string) name of the sensor
:param position: (numpy array, 3x1 x y z) position of the sensor in the satellite frame in m
:param orientation: (numpy array, 1x4 qi qj qk qr) orientation of the sensor in quaternions in the
                                                                                            satellite frame
:param database: (string, .db) name of the database to read/write from/in
:param digital: (bool) defines if the sensor is digital or analog
:param mode: (int) chooses between a different set of predefined parameter for the sensor
:param active: (Boolean) activates or deactivates the sensor
:param sensor_range: (numpy array, 1x2 +range -range) maximum measurable angular velocity in deg/s
:param sensitivity: (float) sensitivity of the sensor in deg/s
:param sampling_rate: (float) sampling rate of the sensor in Hz
:param angular_random_walk: (float) angular random walk error in deg/sqrt(hr)
:param bias_instability: (float) bias instability error in deg/hr
</pre> 
<p>Reimplemented from <a class="el" href="class_sensor_1_1_sensor.html#a49b7ea4faa0488707970f4ecc64ab10b">Sensor.Sensor</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af9243e6bbb29fc3b2e99ef22a6f661b0" name="af9243e6bbb29fc3b2e99ef22a6f661b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9243e6bbb29fc3b2e99ef22a6f661b0">&#9670;&nbsp;</a></span>output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gyroscope.MEMS3AxisGyroscope.output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>simulated_time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Run Sensor one time.

Basic procedure: read in angular velocity of satellite -&gt; transform it into the sensor frame
-&gt; add bias instability -&gt; add angular random walk -&gt; apply sensitivity -&gt; limit to range -&gt; write in database
</pre> 
</div>
</div>
<a id="a363dd812d4fe2b1dd3cfe4a3189a3657" name="a363dd812d4fe2b1dd3cfe4a3189a3657"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a363dd812d4fe2b1dd3cfe4a3189a3657">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gyroscope.MEMS3AxisGyroscope.run </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Starts sensor in while Loop.</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a125dea690d02208b9d0689b197fa2b56" name="a125dea690d02208b9d0689b197fa2b56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a125dea690d02208b9d0689b197fa2b56">&#9670;&nbsp;</a></span>angular_random_walk</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.MEMS3AxisGyroscope.angular_random_walk</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a481150fc272571b631f30b2f48410f88" name="a481150fc272571b631f30b2f48410f88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a481150fc272571b631f30b2f48410f88">&#9670;&nbsp;</a></span>bias_instability</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.MEMS3AxisGyroscope.bias_instability</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acd8bbe8d28cad188f0f96e97a2376c1c" name="acd8bbe8d28cad188f0f96e97a2376c1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd8bbe8d28cad188f0f96e97a2376c1c">&#9670;&nbsp;</a></span>column_names</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.MEMS3AxisGyroscope.column_names</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a053964caedc4c9bca7566bec9588d84d" name="a053964caedc4c9bca7566bec9588d84d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a053964caedc4c9bca7566bec9588d84d">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.MEMS3AxisGyroscope.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aabff8bb975d327813bbbc3937227acb1" name="aabff8bb975d327813bbbc3937227acb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabff8bb975d327813bbbc3937227acb1">&#9670;&nbsp;</a></span>sensitivity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.MEMS3AxisGyroscope.sensitivity</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e6acb187b30851252b9e9139dcc75bf" name="a8e6acb187b30851252b9e9139dcc75bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e6acb187b30851252b9e9139dcc75bf">&#9670;&nbsp;</a></span>sensor_range</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gyroscope.MEMS3AxisGyroscope.sensor_range</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gyroscope_8py.html">gyroscope.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacegyroscope.html">gyroscope</a></li><li class="navelem"><a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html">MEMS3AxisGyroscope</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
